Get Versions Using GET
Returns a paginated list of catalog item versions.
Request
URI
GET
https://{api_host}//cava-s-182-041.eng.vmware.com/catalog/api/items/{id}/versions
COPY
Path Parameters
string
id
Required
Catalog Item ID
Query Parameters
integer
page
Optional
Results page you want to retrieve (0..N)
integer
size
Optional
Number of records per page.
size example
20
Responses
200
OK
Returns
CatalogItemVersion
of type(s)
application/json
{
"createdAt": "string",
"description": "string",
"id": "string"
}
string As date-time
As date-time
createdAt
Optional
Created At
string
description
Optional
Description
string
id
Optional
Version ID
object
schema
Optional
Input Schema
401
Unauthorized
Operation doesn't return any data structure
404
Not Found
Operation doesn't return any data structure
Catalog Items Operations
GET
Get Catalog Items Using GET 1
GET
Get Catalog Item Using GET 1
GET
Get Upfront Price Response For Catalog Item Using GET
GET
Get Version By Id Using GET
GET
Get Versions Using GET
POST
Request Catalog Item Using POST
POST
Submit Upfront Price Request For Catalog Item Using POST